%undefine __libtoolize
%define objprelink 0

Name: kile
Version: 1.9.2
Release: alt1.qa1
Source0: %name-%version.tar.bz2

Group: Publishing
Summary:  LaTeX source editor - TeX shell.
License: GPL
URL: http://kile.sourceforge.net
Packager: Mikerin Sergey <mikcor@altlinux.ru>


#Requires: kdelibs-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Mon Sep 25 2006
BuildRequires: gcc-fortran graphviz imake

BuildRequires: doxygen fontconfig gcc-c++ graphviz imake kdepim-devel kdepim-libs libdnet-devel libjpeg-devel 
BuildRequires: libpng-devel libXext-devel libXrender-devel libXt-devel qt3-designer qt3-doc-html xml-utils xorg-cf-files

BuildRequires: libdnet-devel libjpeg-devel libpng-devel libXext-devel libXrender-devel 

%if %objprelink
BuildRequires: objprelink
%endif
BuildRequires: desktop-file-utils

%description
Kile is a program for KDE 3, that integrates many tools needed 
to develop documents with LaTeX, in just one application.

%prep
%setup -q -n %name-%version

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug 

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

#cp %buildroot/%_iconsdir/crystalsvg/22x22/apps/kile.png %buildroot/%_iconsdir

# create menu
mkdir -p %buildroot/%_menudir
freedesktop2menu.pl %name "Applications/Publishing" \
    %buildroot/%_datadir/applications/kde/%name.desktop \
    %buildroot/%_menudir/%name \
environment x11

rm -f %buildroot%_datadir/apps/katepart/syntax/latex.xml
rm -f %buildroot%_datadir/apps/katepart/syntax/bibtex.xml

%find_lang %name

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%_iconsdir/*/*/*/*.png
%_iconsdir/*/*/*/*.svgz
#
%_datadir/applications/kde/%name.desktop
#%_datadir/apps/katepart/syntax/bibtex.xml
#%_datadir/apps/katepart/syntax/latex.xml
%dir %_datadir/apps/%name
%_datadir/apps/%name/*
%_datadir/apps/kconf_update/*
%_datadir/config.kcfg/*
%_datadir/mimelnk/text/x-kile*
%_menudir/%name
#
%doc %_datadir/doc/HTML/*/%name
#%doc %_datadir/doc/HTML/et/%name
#%doc %_datadir/doc/HTML/it/%name
#%doc %_datadir/doc/HTML/sv/%name
%doc README INSTALL

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.9.2-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for kile

* Mon Sep 25 2006 Mikerin Sergey <mikcor@altlinux.ru> 1.9.2-alt1
- 1.9.2

* Tue Jul 04 2006 Mikerin Sergey <mikcor@altlinux.ru> 1.9.1-alt1
- 1.9.1

* Wed Mar 22 2006 Mikerin Sergey <mikcor@altlinux.ru> 1.9-alt1
- 1.9
- new buildrequires

* Tue May 03 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.8-alt0.1.b2
- 1.8b2

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.7.1-alt1.1.1
- Rebuilt with libstdc++.so.6.

* Wed Nov 17 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.1-alt1.1
- remove conflict files

* Fri Oct 22 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.7.1-alt1
- 1.7.1

* Wed Jun 02 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6.3-alt1
- 1.6.3

* Sun Jan 25 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6-alt3
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6-alt2
- rebuilding without *.la

* Thu Nov 13 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.6-alt1
- 1.6
- new buildrequires and rebuilding in hasher

* Fri Aug 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.5.2-alt1
- 1.5.2

* Wed May 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.5-alt1
- 1.5

* Wed Mar 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4-alt1
- 1.4

* Mon Jan 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.32-alt1
- 1.32
- new buildrequires

* Sun Dec 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.31-alt1
- 1.31

* Mon Oct 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3beta-alt1
- 1.3beta

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt1
- new version
- built with gcc3.2

* Mon Jun 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0

- specfile cleanup

